Retrieves keys for an organization.
Supports filtering by name and pagination.
path Parameters
orgIdstring · requiredThe id of the organization.
query Parameters
Limitinteger · int32The number of records to return. Max 30.
Offsetinteger · int32The offset of the first item returned in the collection. Default: 0
IncludeApiKeysbooleanInclude the API key data in the response.
KeyFormatstring · enumThe format of the key to return. none: Key is completely hidden. visible: Key is completely visible. masked: Part of key suffix is visible.
Enum values:NoneVisibleMasked
Headers
Authorizationstring · requiredThe
Authorizationheader is used to authenticate with the API using your API key. Value is of the formatBearer YOUR_KEY_HERE.
Responses
Success
dataarray | nullsuccessbooleanerrorsarray | null
Update the role of the service account associated with a given key name
path Parameters
keyNamestring · requiredThe API Key name
orgIdstring · requiredThe id of the organization.
Headers
Authorizationstring · requiredThe
Authorizationheader is used to authenticate with the API using your API key. Value is of the formatBearer YOUR_KEY_HERE.
Responses
Success
databooleansuccessbooleanerrorsarray | null
Validates an API key for the specified organization.
path Parameters
orgIdstring · requiredThe id of the organization.
Headers
Authorizationstring · requiredThe
Authorizationheader is used to authenticate with the API using your API key. Value is of the formatBearer YOUR_KEY_HERE.
Responses
Success
dataobjectResponse model for API key validation.
successbooleanerrorsarray | null